devilspie2(1)

NAME
Devilspie2 - perform scripted actions on windows as they are created

Description
Devilspie2 is a program that detects windows as they are created, and performs scripted actions on them. The scripts are written in Lua, allowing a great deal of customisation.

More details in /usr/share/doc/devilspie2.

Options

--version
    Displays the version of Devilspie2.

--folder folder
    Sets the folder where the Lua scripts are loaded from.

--debug
    Shows debug information from the Lua scripts. If debug_print is used in the Lua scripts, that output will only be printed to stdout if this option is used.

--emulate
    Emulate script behaviour. Using this option only emulates a scripts behaviour, and doesn't affect the windows that the scripts otherwise would modify.

--wnck-version
    Show version of the libwnck used. (Only available on GTK3 or later)

Script Commands

See the README or the manual linked from the homepage for a detailed description
    of the commands recognized by the Lua script.

Author
Devilspie2 was written by Andreas Rönnquist <gusnan@openmailbox.org>, and is based on Devilspie by Ross Burton.